Subject: Re: [bug#47163] [PATCH] refresh: Add '--installed' option.

From: Léo Le Bouter <[email-masked]>
Date: Tue, 16 Mar 2021 10:16:21 +0100

On Tue, 2021-03-16 at 10:08 +0100, Ludovic Courtès wrote:
> Hi,
> 
> Xinglu Chen <[email-masked]> skribis:
> 
> > On Mon, Mar 15 2021, Ludovic Courtès wrote:
> > 
> > > Hi,
> > > 
> > > Xinglu Chen <[email-masked]> skribis:
> > > 
> > > > This lets the user to only check for updates for packages
> > > > installed in the
> > > > current profile.
> > > > 
> > > > If the user is using the imperative way to install packages, or
> > > > uses
> > > > multiple manifests, this is a quick way to check for updates
> > > > for the
> > > > installed packages.
> > > > 
> > > > * guix/scripts/refresh.scm (%options): Add '--installed'
> > > > option.
> > > > * guix.texi (Invoking guix refresh): Document it.
> > > 
> > > I sometimes run:
> > > 
> > >   guix refresh $(guix package -I | cut -f1)
> > > 
> > > I’m not sure an extra ‘guix refresh’ option is warranted.  WDYT?
> > 
> > That's cool, I think your solution would suffice.  Maybe we could
> > add it
> > to the manual or cookbok?
> 
> That’s a good idea.  Do you want to propose a short section on this?
> 
> You may also like the new ‘--with-latest’ package transformation
> option.  :-)
> 
> Thanks,
> Ludo’.

I would also really like such option for 'lint' and 'refresh' that can
take an operating-system definition so I can ensure a certain set of
packages are up to some standards and help me focus my efforts on my or
some fellow's configuration (especially w.r.t. security), rather than
randomly trying to maintain *everything* in the GNU Guix repo which is
quite exhausting and large work to take on. Starting from a place of
actual need for myself and some fellow's configurations looks like a
more achieveable goal mid-term.